## ros-foxy-moveit-chomp-optimizer-adapter 2.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(moveit_chomp_optimizer_adapter)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(chomp_motion_planner REQUIRED)
find_package(moveit_core REQUIRED)
find_package(pluginlib REQUIRED)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  chomp_motion_planner
  moveit_core
  pluginlib
  rclcpp
)

add_library(${PROJECT_NAME} SHARED src/chomp_optimizer_adapter.cpp)
set_target_properties(${PROJECT_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
ament_target_dependencies(${PROJECT_NAME} ${THIS_PACKAGE_INCLUDE_DEPENDS})

install(
  TARGETS ${PROJECT_NAME}
  EXPORT ${PROJECT_NAME}Targets
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
)

ament_export_targets(${PROJECT_NAME}Targets HAS_LIBRARY_TARGET)

pluginlib_export_plugin_description_file(moveit_core chomp_optimizer_adapter_plugin_description.xml)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # These don't pass yet, disable them for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cppcheck_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_flake8_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)
  set(ament_cmake_lint_cmake_FOUND TRUE)

  # Run all lint tests in package.xml except those listed above
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-foxy-moveit-chomp-optimizer-adapter (2.2.3-1focal) focal; urgency=high

  * Port CHOMP Motion Planner to ROS 2 (backport #809 <https://github.com/ros-planning/moveit2/issues/809>) (#836 <https://github.com/ros-planning/moveit2/issues/836>)
  * Contributors: Henning Kayser, Jafar Abdi, andreas-botbuilt

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Fri, 07 Jan 2022 07:00:00 -0000

ros-foxy-moveit-chomp-optimizer-adapter (2.0.0-1focal) focal; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Mon, 17 Feb 2020 07:00:00 -0000

ros-foxy-moveit-chomp-optimizer-adapter (1.1.1-1focal) focal; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Tue, 13 Oct 2020 06:00:00 -0000

ros-foxy-moveit-chomp-optimizer-adapter (1.1.0-1focal) focal; urgency=high

  * [feature] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [feature] Allow ROS namespaces for planning request adapters (#1530 <https://github.com/ros-planning/moveit/issues/1530>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [fix] Fix Chomp planning adapter (#1525 <https://github.com/ros-planning/moveit/issues/1525>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Dave Coleman, Henning Kayser, Robert Haschke, Sean Yen, Tyler Weaver, Yu, Yan

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Fri, 04 Sep 2020 06:00:00 -0000

ros-foxy-moveit-chomp-optimizer-adapter (1.0.6-1focal) focal; urgency=high

  * [maint] Migrate to clang-format-10
  * Contributors: Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 19 Aug 2020 06:00:00 -0000

ros-foxy-moveit-chomp-optimizer-adapter (1.0.5-1focal) focal; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 08 Jul 2020 06:00:00 -0000

ros-foxy-moveit-chomp-optimizer-adapter (1.0.4-1focal) focal; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sat, 30 May 2020 06:00:00 -0000

ros-foxy-moveit-chomp-optimizer-adapter (1.0.3-1focal) focal; urgency=high

  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Robert Haschke, Sean Yen, Yu, Yan

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sun, 26 Apr 2020 06:00:00 -0000

ros-foxy-moveit-chomp-optimizer-adapter (1.0.2-1focal) focal; urgency=high

  * [fix] Chomp planning adapter: Fix spurious error message Fix "Found empty JointState message"
  * Contributors: Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Fri, 28 Jun 2019 06:00:00 -0000

ros-foxy-moveit-chomp-optimizer-adapter (1.0.1-1focal) focal; urgency=high

  * [fix] segfault in chomp adapter (#1377 <https://github.com/ros-planning/moveit/issues/1377>)
  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Fri, 08 Mar 2019 07:00:00 -0000

ros-foxy-moveit-chomp-optimizer-adapter (1.0.0-1focal) focal; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sun, 24 Feb 2019 07:00:00 -0000

ros-foxy-moveit-chomp-optimizer-adapter (0.10.8-1focal) focal; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Mon, 24 Dec 2018 07:00:00 -0000

ros-foxy-moveit-chomp-optimizer-adapter (0.10.7-1focal) focal; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Thu, 13 Dec 2018 07:00:00 -0000

ros-foxy-moveit-chomp-optimizer-adapter (0.10.6-1focal) focal; urgency=high

  * [maintenance] Moved CHOMP optimizer into own package (#1251 <https://github.com/ros-planning/moveit/issues/1251>)
  * rename default_planner_request_adapters/CHOMPOptimizerAdapter -> chomp/OptimizerAdapter
  * Contributors: Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sun, 09 Dec 2018 07:00:00 -0000

=== debian/control ===
Source: ros-foxy-moveit-chomp-optimizer-adapter
Section: misc
Priority: optional
Maintainer: Raghavender Sahdev <raghavendersahdev@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-chomp-motion-planner, ros-foxy-moveit-common, ros-foxy-moveit-core, ros-foxy-pluginlib (>= 1.11.2), ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-moveit-chomp-optimizer-adapter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-chomp-motion-planner, ros-foxy-moveit-core, ros-foxy-pluginlib (>= 1.11.2), ros-foxy-ros-workspace
Description: MoveIt planning request adapter utilizing chomp for solution optimization

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-moveit-chomp-optimizer-adapter//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
